/* 全角 カタカナ->ひらがな 変換 */
#include "deftype.h"

unint zkatahira(unint c)
{
	/* カタカナ：8340〜8393（ただし、ひらがなに変換可能なもの。0x837fはない）*/
	/* ひらがな：829f〜82f1 */
	if (c>=0x8340 && c<=0x8393) {
		if (c>=0x8380) c--;
		c-=0xa1;
	}
	return(c);
}
